.news-events {

    &__header {
        font-weight: 700;
        font-size: rem(20);
        line-height: rem(26);
        margin-bottom: rem(14);
    }

    &__menu {
        z-index: 10;
        position: relative;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    &__calendar {
        width: rem(18);
        height: rem(18);
        font-size: 0;
        line-height: 0;
        margin-bottom: rem(7);
        display: inline-block;

        svg {
            fill: #040D5F;
        }
    }

    &__nav {
        display: flex;
        align-items: center;

        a {
            color: #BDBDBD;
            font-weight: 600;
            font-size: rem(11);
            line-height: rem(15);
            margin-right: rem(30);
            padding-bottom: rem(7);
            white-space: nowrap;
            display: inline-block;
            text-decoration: none;
            border-bottom: 2px solid transparent;

            sup {
                font-size: rem(6);
                margin-left: rem(3);
            }

            &:hover {
                color: #193D6A;
                text-decoration: none;
            }

            &.active {
                color: #193D6A;
                border-bottom-color: #193D6A;
            }
        }
    }

    &_main {
        margin-top: -1px;
    }

    &__item {
        display: flex;
        padding: rem(20) 0;
        border-top: 1px solid #B4B7CF;

        &--image {
            width: rem(58);
            flex-shrink: 0;
            display: block;
        }

        &--content {
            color: #1D1D1B;
            padding-left: rem(10);
        }

        &--date {
            font-weight: 700;
            font-size: rem(11);
            line-height: rem(15);
            margin-bottom: rem(6);
        }

        &--title {
            display: block;
            color: #1D1D1B;
            font-weight: 700;
            font-size: rem(14);
            line-height: rem(19);
            margin-bottom: rem(6);
            text-decoration: none;

            &:hover {
                color: #1D1D1B;
                text-decoration: underline;
            }
        }

        &--text {
            font-size: rem(12);
            line-height: rem(16);
        }
    }

    &__view {
        padding-top: rem(10);
    }

    @media (min-width: $screen-lg-min) {
        height: 100%;
        display: flex;
        flex-direction: column;

        &__nav {

            a {
                margin-right: rem(20);
            }
        }

        &__main {
            flex-grow: 1;
        }
    }

    @media (min-width: $screen-xl-min) {

        &__nav {

            a {
                margin-right: rem(30);
            }
        }
    }
}

.news-block {
    padding: rem(50) 0;
    background: #fff;

    &__header {
        position: relative;
        margin-bottom: rem(20);

        &::before {
            left: 0;
            right: 0;
            bottom: 0;
            z-index: 1;
            height: 1px;
            content: '';
            background: #040D5F;
            position: absolute;
            opacity: 0.3;
        }
    }

    &__title {
        color: #1D1D1B;
        font-size: rem(20);
        font-weight: 700;
        line-height: rem(26);
        margin-bottom: rem(10);
    }

    &__nav {
        color: #1D1D1B;
        font-weight: 700;
        font-size: rem(14);
        line-height: rem(19);
        position: relative;
        overflow-x: auto;

        &--wrap {
            z-index: 5;
            display: flex;
            align-items: center;
            position: relative;
        }

        &--item {
            color: #1D1D1B;
            padding: rem(14) rem(4);
            white-space: nowrap;
            display: inline-block;
            text-decoration: none;
            margin-right: rem(30);
            border-bottom: rem(2) solid transparent;

            &:hover {
                color: #193D6A;
                text-decoration: none;
            }

            &.active {
                color: #193D6A;
                border-bottom-color: #193D6A;
            }
        }
    }

    &__all {
        display: none;
        color: #1D1D1B;
        font-weight: 700;
        font-size: rem(14);
        line-height: rem(19);
        text-decoration: none;

        .ico-svg {
            fill: #1D1D1B;
        }

        &:hover {
            color: #040D5F;
            text-decoration: none;

            .ico-svg {
                fill: #040D5F;
            }
        }

        span {
            padding-right: rem(6);
            display: inline-block;
        }

        i {
            height: rem(18);
            font-size: 0;
            line-height: 0;
            display: inline-block;
        }
    }

    &__row {
        display: flex;
    }

    &__column {
        width: rem(274);
        flex-shrink: 0;
        padding-right: rem(20);
        padding-bottom: rem(20);
    }

    &__item {
        height: 100%;
        color: #1D1D1B;
        font-size: rem(14);
        line-height: rem(19);
        text-decoration: none;
        display: flex;
        flex-direction: column;

        &--image {
            height: rem(200);
            display: block;
            overflow: hidden;
            border-radius: 8px;
            position: relative;

            &-wrap  {
                margin-top: rem(-20);
            }
        }

        &--tag {
            top: rem(14);
            left: rem(14);
            z-index: 10;
            color: #fff;
            padding: rem(3) rem(8);
            font-weight: 600;
            font-size: rem(11);
            line-height: rem(15);
            border-radius: 2px;
            white-space: nowrap;
            position: absolute;
            display: inline-block;

            &-red {
                background: #FF0017;
            }

            &-yellow {
                background: #F2C94C;
            }
        }

        &--content {
            padding-top: rem(10);
        }

        &--title {
            color: #1D1D1B;
            display: block;
            font-weight: 700;
            font-size: rem(18);
            line-height: rem(25);
            margin-bottom: rem(10);
            text-decoration: none;

            &:hover {
                color: #1D1D1B;
                text-decoration: underline;
            }
        }

        &--text {
            margin-bottom: rem(10);
        }

        &--author {
            color: #1D1D1B;
            font-weight: 700;
            font-size: rem(14);
            line-height: rem(19);
            display: flex;
            align-items: center;
            text-decoration: none;

            &:hover {
                color: #1D1D1B;
                text-decoration: underline;
            }

            i {
                width: rem(26);
                height: rem(26);
                font-size: 0;
                line-height: 0;
                display: block;
                overflow: hidden;
                border-radius: 50%;
                flex-shrink: 0;
            }

            span {
                display: block;
                padding-left: rem(10);
            }
        }
    }

    &__view-post {
        padding-top: rem(10);
        margin-bottom: rem(50);
    }

    &__scroll {
        width: 100%;
        max-width: 100%;
        overflow: auto;
    }

    @media (min-width: $screen-sm-min) {

    }

    @media (min-width: $screen-md-min) {

        &__header {
            display: flex;
            align-items: center;
        }

        &__title {
            margin: 0 rem(45) 0 0;
            flex-shrink: 0;
        }

        &__nav {
            flex-grow: 1;
        }

        &__row {
            display: block;
        }

        &__column {
            width: 100%;
            padding-right: 0;
        }

        &__scroll {
            overflow: visible;
        }

        &__item {
            padding-bottom: 0;
            margin-bottom: rem(20);
            flex-direction: row;

            &--image {
                width: rem(220);
                height: auto;
                flex-shrink: 0;

                &-wrap {
                    margin: 0;
                }
            }

            &--content {
                padding-left: rem(15);
            }
        }
    }

    @media (min-width: $screen-lg-min) {

        &__header {
            padding-right: rem(277);
        }

        &__all {
            display: flex;
            align-items: center;
            flex-shrink: 0;
        }

        &__item {
            flex-direction: column;

            &--image {
                width: 100%;
            }

            &--content {
                padding-left: 0;
                flex-grow: 1;
                display: flex;
                flex-direction: column;
            }

            &--text {
                flex-grow: 1;
            }
        }

        &__main {
            display: flex;
            justify-content: space-between;
        }

        &__sidebar {
            width: rem(255);
            flex-shrink: 0;
        }

        &__content {
            width: calc(100%  - 17.3125rem);
        }

        &__row {
            display: flex;
            margin: 0 rem(-10);
        }

        &__column {
            width: 33.33%;
            margin: 0;
            padding: 0 rem(10);
        }

        &__view-post {
            display: none;
        }
    }

    @media (min-width: $screen-xl-min) {

        &__header {
            padding-right: rem(285);
        }

        &__content {
            width: calc(100%  - 17.8125rem);
        }

        &__row {
            margin: 0 rem(-15);
        }

        &__column {
            padding: 0 rem(15);
        }
    }
}

.news-thumb {
    padding: rem(20);
    color: #1D1D1B;
    display: block;
    font-size:rem(14);
    line-height: rem(19);
    text-decoration: none;
    background: #FFFFFF;
    font-family: $font-family-head;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.12);
    border-radius: rem(8);

    &__header {
        display: flex;
        margin-bottom: rem(10);
        align-items: center;


        &--photo {
            width: rem(38);
            height: rem(38);
            display: block;
            overflow: hidden;
            border-radius: 50%;
            flex-shrink: 0;
        }

        &--content {
            padding-left: rem(10);
        }

        &--author {
            font-weight: 700;
            font-size:rem(14);
            line-height: rem(19);
            margin-bottom: rem(3);
        }

        &--tag {
            display: flex;
        }
    }

    &__title {
        display: block;
        font-weight: 700;
        font-size:rem(18);
        line-height: rem(22);
        color: #1D1D1B;
        margin-bottom: rem(10);
        text-decoration: none;

        &:hover {
            color: #040D5F;
            text-decoration: none;
        }
    }

    &__image {
        display: block;
        border-radius: rem(8);
        overflow: hidden;
        margin-bottom: rem(10);
    }

    &__text {
        margin-bottom: rem(15);
    }

    &__date {
        font-weight: 600;
        font-size: rem(11);
        line-height: rem(13);
        color: #BDBDBD;
    }
}

.popular {
    border-radius: rem(4);
    background: #fff;

    &__header {
        color: #1D1D1B;
        font-size: rem(20);
        font-weight: 700;
        line-height: rem(26);
        margin-bottom: rem(24);
    }

    &__blog {
        color: #1D1D1B;
        border-radius: rem(4);
        position: relative;
        font-family: $font-family-head;
        text-decoration: none;
        padding: rem(10) rem(6) rem(10) rem(12);
        display: flex;
        align-items: flex-start;

        &::before {
            top: 0;
            left: 0;
            bottom: 0;
            opacity: 0;
            width: rem(4);
            content: '';
            display: block;
            visibility: hidden;
            position: absolute;
            background: linear-gradient(358.3deg, #EC0A15 11.51%, #233BDB 90.19%);
        }

        &:hover {
            color: #1D1D1B;
            background: #F1F8FE;
            text-decoration: none;

            &::before {
                opacity: 1;
                visibility: visible;
            }
        }

        &--image {
            width: rem(40);
            height: rem(40);
            display: block;
            overflow: hidden;
            border-radius: 50%;
            flex-shrink: 0;
        }

        &--content {
            padding-left: rem(10);
        }

        &--name {
            font-weight: 700;
            font-size: rem(16);
            line-height: rem(20);
            margin-bottom: rem(5);
        }

        &--subscribe {
            color: #0B2B88;
            font-size: rem(14);
            line-height: rem(17);
            margin-bottom: rem(10);
        }

        &--update {
            font-size: rem(11);
            line-height: rem(13);
            color: rgba(25, 61, 106, 0.5);
        }

        &--row {
            display: flex;
            align-items: center;
            justify-content: space-between;
        }

        &--change {
            font-size: 0;
            line-height: 0;
            display: inline-block;
        }
    }

    &__button {
        padding-top: rem(30);
    }

    &-white {
        background: transparent;

        .popular__header {
            color: #fff;
        }

        .popular__blog {
            color: #fff;
            padding: 0 rem(6) 0 rem(12);
            text-decoration: none;
            margin-bottom: rem(30);

            &:hover {
                color: #fff;
                text-decoration: none;
                background: transparent
            }
        }

        .popular__blog--subscribe {
            color: #fff;
            margin-bottom: 0;
        }
    }
}

.news-primary {
    border-radius: rem(8);
    overflow: auto;
    display: block;
    position: relative;
    margin-bottom: rem(30);

    &__image {
        display: block;
        overflow: hidden;
        position: relative;
        border-radius: rem(8);

        &::before {
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            z-index: 1;
            content: '';
            display: block;
            position: absolute;
            background: linear-gradient(180.61deg,rgba(0,0,0,0) 39.4%,rgba(0,0,0,.74) 99.47%);
        }

        &--wrap {
            margin: 0 rem(-55);
        }
    }

    &__title {
        left: rem(14);
        right: rem(70);
        bottom: rem(14);
        color: #fff;
        display: block;
        z-index: 20;
        font-weight: 500;
        font-size: rem(14);
        line-height: rem(17);
        position: absolute;
        text-decoration: none;
        font-family: $font-family-head;

        &:hover {
            color: #fff;
            text-decoration: underline;
        }
    }

    &__content {
        left: rem(14);
        right: rem(70);
        bottom: rem(14);
        color: #fff;
        display: block;
        z-index: 20;
        font-size: rem(14);
        line-height: rem(17);
        position: absolute;
        text-decoration: none;
        font-family: $font-family-head;

        &:hover {
            color: #fff;
            text-decoration: underline;
        }

        &--title {
            font-weight: 500;
            font-size: rem(14);
            line-height: rem(17);
        }

        &--text {
            display: none;
            padding-top: rem(10);
        }
    }

    @media (min-width: $screen-sm-min) {

        &__image {

            &--wrap {
                margin: 0;
            }
        }
    }

    @media (min-width: $screen-md-min) {

        &__title {
            left: rem(24);
            right: rem(30);
            bottom: rem(24);
            font-size: rem(24);
            line-height: rem(29);
        }

        &__content {
            left: rem(24);
            right: rem(30);
            bottom: rem(24);

            &--title {
                font-size: rem(24);
                line-height: rem(29);
            }

            &--text {
                display: block;
            }
        }
    }

}

.news-intro {
    display: block;
    position: relative;
    margin-bottom: rem(30);

    &__image {
        display: block;
        overflow: hidden;
        position: relative;
        border-radius: rem(8);

        &:before {
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            z-index: 5;
            content: "";
            position: absolute;
            background: rgba(0,0,0,0.3);
        }

        &--wrap {
            margin: 0 rem(-90);
        }
    }

    &__content {
        left: rem(14);
        right: rem(14);
        bottom: rem(14);
        z-index: 20;
        position: absolute;
    }

    &__title {
        color: #fff;
        display: block;
        font-weight: 500;
        font-size: rem(14);
        line-height: rem(17);
        text-decoration: none;
        font-family: $font-family-head;

        &:hover {
            color: #fff;
            text-decoration: underline;
        }
    }

    &__date {
        color: #fff;
        font-weight: 500;
        font-size: rem(10);
        padding-top: rem(6);
        line-height: rem(12);
        text-decoration: none;
        font-family: $font-family-head;
    }

    @media (min-width: $screen-sm-min) {

        &__image {

            &--wrap {
                margin: 0;
            }
        }
    }

    @media (min-width: $screen-md-min) {

    }

    @media (min-width: $screen-lg-min) {

        &__image {

            &:before {
                display: none;
            }
        }

        &__content {
            top: auto;
            left: auto;
            right: auto;
            bottom: auto;
            position: relative;
            padding-top: rem(20);
        }

        &__title {
            color: #1D1D1B;
            font-size: rem(18);
            line-height: rem(24);

            &:hover {
                color: #1D1D1B;
            }
        }

        &__date {
            color: #BDBDBD;
            font-weight: 600;
            font-size: rem(11);
            line-height: rem(13);
            padding-top: rem(10);

            &:hover {
                color: #BDBDBD;
            }
        }
    }

}

.news-list {

    &__header {
        color: #000;
        font-weight: 700;
        font-size: rem(20);
        line-height: rem(24);
        margin-bottom: rem(12);
        font-family: $font-family-head;
    }

    &__content {
        margin: 0;
        padding: 0;
        font-weight: 500;
        font-size: rem(14);
        line-height: rem(17);
        list-style: none;

        li {
            padding: 20px 0;
            border-bottom: 1px solid rgba(25,61,106,0.3);

            a {
                color: #1D1D1B;
                text-decoration: none;
                font-family: $font-family-head;

                &:hover {
                    color: #1D1D1B;
                    text-decoration: underline;
                }
            }
        }
    }

    &__footer {
        padding-top: rem(20);
    }


    @media (min-width: $screen-lg-min) {
        padding-top: 0;
    }
}

.news-preview {
    background: #fff;
    margin-bottom: rem(30);
    display: flex;
    font-family: $font-family-head;
    flex-direction: column;

    &__media {
        border-radius: rem(8);
        display: block;
        overflow: hidden;
        position: relative;
        text-decoration: none;

        &--wrap {
            margin: rem(-45) 0;
        }
    }

    &__content {
        padding-top: rem(10);
    }

    &__title {
        max-height: rem(75);
        color: #1d1d1b;
        overflow: hidden;
        text-overflow: ellipsis;
        display: block;
        font-weight: 700;
        font-size: rem(18);
        line-height: rem(25);
        margin-bottom: rem(10);
        text-decoration: none;

        &:hover {
            color: #1d1d1b;
            text-decoration: underline;
        }
    }

    &__text {
        max-height: rem(57);
        overflow: hidden;
        font-size: rem(14);
        line-height: rem(20);
        text-overflow: ellipsis;
        margin-bottom: rem(10);
    }

    &__author {
        color: #1D1D1B;
        font-weight: 600;
        text-decoration: none;
        display: flex;
        align-items: center;

        &:hover {
            color: #1D1D1B;
            text-decoration: underline;
        }

        i {
            width: rem(26);
            height: rem(26);
            font-size: 0;
            line-height: 0;
            display: block;
            overflow: hidden;
            border-radius: 50%;
            flex-shrink: 0;
        }

        span {
            display: block;
            opacity: 0.9;
            padding-left: rem(10);
        }
    }

    @media (min-width: $screen-md-min) {

        &__media {

            &--wrap {
                margin: 0;
            }
        }
    }
}

.main-news {
    overflow: hidden;
    position: relative;

    &::before {
        z-index: 2;
        bottom: rem(-655);
        left: 0;
        content: '';
        width: rem(659);
        height: rem(1015);
        position: absolute;
        background: url('../img/news__pattern_4.svg') 0 0 no-repeat;
        background-size: cover;
    }


    &:after {
        top: 50px;
        z-index: 1;
        content: '';
        width: rem(753);
        height: rem(753);
        left: calc(50% + 6.5625rem);
        border-radius: 50%;
        position: absolute;
        background: url('../img/patetrn__03.svg') 50% 50% no-repeat;
        background-size: cover;
    }

    .container {
        z-index: 20;
        position: relative;
    }
}

.bottom-news {
    overflow: hidden;
    padding: rem(30) 0;
    background: #fff;
    position: relative;

    .container {
        z-index: 20;
        position: relative;
    }

    @media (min-width: $screen-md-min) {
        padding: rem(40) 0;
    }

    @media (min-width: $screen-lg-min) {
        padding: rem(60) 0 rem(50) 0;


        &:after {
            z-index: 2;
            top: rem(-410);
            right: 0;
            content: '';
            width: rem(484);
            height: rem(762);
            position: absolute;
            background: url('../img/news__pattern_1.svg') 0 0 no-repeat;
            background-size: cover;
        }
    }
}

.news-module {

    &__item {
        color: #1D1D1B;
        display: block;
        font-size: rem(14);
        line-height: rem(17);
        position: relative;
        margin-bottom: rem(30);
        text-decoration: none;
        font-family: $font-family-head;

        &:hover {
            color: #1D1D1B;
            text-decoration: none;
        }

        &--2,
        &--3,
        &--4,
        &--5 {
            width: calc(50% - 0.9375rem);
        }
    }

    &__image {
        height: rem(160);
        overflow: hidden;
        border-radius: rem(8);
        position: relative;
        background-position: 50% 50%;
        background-repeat: no-repeat;
        background-size: cover;

        &:before {
            top: 0;
            left: 0;
            right: 0;
            bottom: 0;
            z-index: 1;
            content: '';
            display: block;
            position: absolute;
            background: linear-gradient(180deg, rgba(0,0,0,0) 0%, rgba(0,0,0,0.8) 100%);
        }
    }

    &__content {
        padding-top: rem(8);
    }

    &__date {
        font-weight: 500;
        font-size: rem(10);
        line-height: rem(12);
        margin-bottom: rem(8);
    }

    &__title {
        font-weight: 500;
        margin-bottom: rem(8);
    }

    &__author {
        display: flex;
        align-items: center;

        i {
            width: rem(26);
            height: rem(26);
            display: block;
            overflow: hidden;
            border-radius: 50%;
        }

        span {
            display: block;
            padding-left: rem(9);
        }
    }

    &__group {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
    }

    @media (min-width: $screen-md-min) {
        display: flex;
        justify-content: space-between;

        &__single {
            width: rem(255);
        }

        &__group {
            width: calc(100% - 17.8125rem);
        }

        &__item {
            color: #fff;

            &:hover {
                color: #fff;
            }

            &--1 {
                height: rem(470);
            }

            &--2,
            &--3,
            &--4,
            &--5 {
                height: rem(220);
            }
        }

        &__image {
            height: 100%;
            z-index: 1;
        }

        &__content {
            left: rem(14);
            right: rem(10);
            bottom: rem(14);
            z-index: 10;
            position: absolute;
        }

        &--invert {
            flex-direction: row-reverse;
        }
    }

    @media (min-width: $screen-xl-min) {

        &__item {

            &--2,
            &--5 {
                width: calc(100% - 23.75rem);
            }

            &--3,
            &--4 {
                width: rem(350);
            }
        }
    }
}
